Summary:	Python bindings for the IlmBase libraries
Summary(pl.UTF-8):	Wiązania Pythona do bibliotek IlmBase
Name:		python-pyilmbase
Version:	2.2.0
Release:	2
License:	BSD
Group:		Libraries/Python
Source0:	http://download.savannah.gnu.org/releases/openexr/pyilmbase-%{version}.tar.gz
# Source0-md5:	e84a6a4462f90b5e14d83d67253d8e5a
Patch0:		%{name}-link.patch
URL:		http://www.openexr.com/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1.6.3
BuildRequires:	boost-python-devel
BuildRequires:	ilmbase-devel >= 2.2.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	pkgconfig
BuildRequires:	python-devel
BuildRequires:	python-numpy-devel
BuildRequires:	rpm-pythonprov
Requires:	ilmbase >= 2.2.0
Requires:	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The PyIlmBase package provides python bindings for the IlmBase
libraries.

%description -l pl.UTF-8
Pakiet PyIlmBase dostarcza wiązania Pythona do bibliotek IlmBase.

%package devel
Summary:	Header files for IlmBase Python bindings
Summary(pl.UTF-8):	Pliki nagłówkowe wiązań Pyhona do bibliotek IlmBase
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	boost-python-devel
Requires:	ilmbase-devel >= 2.2.0
Requires:	libstdc++-devel

%description devel
Header files for IlmBase Python bindings.

%description devel -l pl.UTF-8
Pliki nagłówkowe wiązań Pyhona do bibliotek IlmBase.

%prep
%setup -q -n pyilmbase-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure

# g++ eats a lot of memory, don't run many in parallel
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

# parallel build fails at libPyImath/imathmodule install
%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libPy*.la \
	$RPM_BUILD_ROOT%{py_sitedir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libPyIex.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libPyIex.so.2
%attr(755,root,root) %{_libdir}/libPyImath.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libPyImath.so.2
%attr(755,root,root) %{py_sitedir}/iexmodule.so
%attr(755,root,root) %{py_sitedir}/imathmodule.so
%attr(755,root,root) %{py_sitedir}/imathnumpymodule.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libPyIex.so
%attr(755,root,root) %{_libdir}/libPyImath.so
%{_includedir}/OpenEXR/PyIex*.h
%{_includedir}/OpenEXR/PyIlmBaseConfig.h
%{_includedir}/OpenEXR/PyImath*.h
%{_pkgconfigdir}/PyIlmBase.pc
%{_aclocaldir}/pyilmbase.m4
%changelog
* Sat Oct 25 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pyilmbase.git;a=log;h=master

* Sat Oct 25 2014 Jan Rękorajski <baggins@pld-linux.org> b407cfc
- rebuild with boost 1.56.0
- release 2 (by relup.sh)

* Fri Aug 29 2014 Jakub Bogusz <qboosh@pld-linux.org> 8cb1ac3
- updated to 2.2.0
- removed obsolete am patch

* Sun Apr 06 2014 Jakub Bogusz <qboosh@pld-linux.org> a265de5
- updated to 2.1.0

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> 013de80
- - rebuild with boost 1.55.0
- release 2 (by relup.sh)

* Sun Jul 14 2013 Jakub Bogusz <qboosh@pld-linux.org> 2122aa1
- use non-parallel build to avoid OOM

* Sun Jul 14 2013 Jakub Bogusz <qboosh@pld-linux.org> 16e2a1e
- updated to 2.0.1

* Fri Mar 29 2013 Jakub Bogusz <qboosh@pld-linux.org> 247411d
- added am patch, rebuild ac/am/lt so that link patch takes an effect

* Fri Mar 29 2013 Jakub Bogusz <qboosh@pld-linux.org> 50d76b1
- added link patch, make install -j1 (parallel install fails)

* Fri Mar 29 2013 Jakub Bogusz <qboosh@pld-linux.org> 5438a90
- new

